package com.wisedu.mooc.app.log.service;

import com.wisedu.mooc.app.log.bo.LogUserVisit;
import com.wisedu.mooc.app.log.bo.LogUserVisitPos;

import java.util.Map;

public interface LogUserVisitService {

    void insertLog(LogUserVisit logUserVisit, LogUserVisitPos logUserVisitPos);

    void queryLogUserVisit(Map<String, Object> resultMap, Long userId, String searchKey, Integer periodType, Integer orderType, int pageIndex, int pageSize);

    void queryUserVisitPoss(Map<String, Object> resultMap, String logId);
}
